Author Topic: Support for AVCHD?  (Read 9820 times)
  • Administrator
  • Users
  • *****
  • Posts: 878
    • View Profile
« Reply #4 on: June 15, 2010, 06:15:47 PM »
Hi Pallab,

If you are talking about MPEG-1 video, it is not still supported for trimming, but since 2.2 is supported for merging, but it should be implemented quite soon. Keep an eye on the news :)
Regards,
Dmitry Vergeles
Solveig Multimedia

  • Users
  • *
  • Posts: 20
    • View Profile
« Reply #3 on: June 15, 2010, 03:49:13 AM »
Hi Dmitry,

  Thanks for your quick response! I will test using this latest version of 2.2 which you have provided the link to!

  The problem I was having with the 'old' alpha version of 2.3 (2.3.911.6) which was built in 2009 (before the MPEG-1 support was added I believe). However, I am providing the errors I am seeing in case it helps - hopefully these will not be present in the updated 2.2 version! :-)

   Errors generated opening MPEG-1 file using alpha load 2.3.911.6:
   ----------------------------------------------------------------

   Opening an MPEG-1 file generates the following error message -

    You try to open MPEG-1 file. It is not supported by current version!

  If I click OK in the Error dialog box the file is indexed ... and another error is generated:
   
   Can't init KeyFrameManager
   Unknown Error. HRESULT: 0xc00d0026

   If I click OK the file is opened and I can play and use the navigation commands. I can also select a portion of the file to trim.

  However, if I execute the trim command I get the following error:

   Input file type ( MPEG1 System ) is not supported
   (The parameter is incorrect
     hr = 0x80070057)

   The trimming operation does not succeed.

Regards,

Pallab

  • Administrator
  • Users
  • *****
  • Posts: 878
    • View Profile
« Reply #2 on: June 13, 2010, 11:50:15 AM »
Hi Pallab,

Thank you for your interest. The latest version of AVCHD editing binaries go with the 2.2 version.

AVCHD is supported inofficially, but you can test it.

http://www.solveigmm.com/files/SolveigMM_Video_Splitter_2_2.zip


I'm not sure I cought the problem about MPEG-1, could you give us more details?
Regards,
Dmitry Vergeles
Solveig Multimedia

  • Users
  • *
  • Posts: 20
    • View Profile
« Reply #1 on: June 12, 2010, 06:43:07 PM »
Hi,

  I was wondering whether there was an update (2.3?) coming to support AVCHD?

  From one of the other posts I noticed there is an alpha 2.3.911.6 version which supports AVCHD. I have been using this quite successfully, but it does not have support for MPEG layer 1. I noticed version 2.2 has been updated to support MPEG layer 1, but I have not updated to that version yet as I need to be able to edit AVCHD footage.

  If it is possible to get an updated 2.3 alpha/beta load that includes the MPEG layer 1 support then that might help ... I could then help test as well!

Regards,

Pallab